import { Ast, Type, Syntax } from 'thingtalk';
interface Constant {
    token: string;
    value: Ast.Value;
}
declare type ConstantMap = {
    [key: string]: Constant[];
};
declare function extractConstants(ast: Ast.Node, entityAllocator: Syntax.SequentialEntityAllocator): ConstantMap;
declare function createConstants(tokenPrefix: string, type: Type, maxConstants: number, entityAllocator: Syntax.SequentialEntityAllocator): Constant[];
export { extractConstants, createConstants, };
